import { Observable } from 'rxjs';
export declare abstract class Store<State extends object> {
    private name;
    private readonly actionSource;
    private readonly stateSource;
    private readonly registryService;
    readonly state$: Observable<State>;
    constructor(name: string, initialState: State);
    select<SelectedState>(selector: (state: State) => SelectedState): Observable<SelectedState>;
    get snapshot(): State;
    updateProperty(prop: keyof State, value: State[typeof prop]): void;
    update(stateChanger: (state: State) => State): void;
    destroy(): void;
}
