import { EnhancerOptions } from 'redux-devtools-extension';
export declare type ReduxDevtoolsExtension = {
    connect: (config: EnhancerOptions) => ReduxDevTools;
};
declare type DispatchTypes = 'JUMP_TO_ACTION' | 'ROLLBACK';
export declare type MonitorEvent = {
    id: string;
    payload: {
        type: DispatchTypes;
        actionId: number;
    };
    source: '@devtools-extension';
    state: string;
    type: 'DISPATCH';
} | {
    id: undefined;
    source: '@devtools-extension';
    state: undefined;
    type: 'START';
};
export declare type ReduxDevTools = {
    init: (initialState: object) => void;
    subscribe: (listener: (event: MonitorEvent) => void) => void;
    send: (action: string, state: object) => void;
};
export {};
